workspace:
  base: /checkout
  path: data

pipeline:
  #get_submodules:
    #image: alpine/git
    #commands:
      #- git submodule update --init --recursive --remote themes/ananke/
  build:
    image: einar/hugo
    commands:
      - git lfs pull
      - hugo --destination /checkout/public
  #cleanup:
    #image: alpine
    #environment:
      #- NGINX_UID=476
      #- NGINX_GID=476
    #commands:
      #- chown -R $NGINX_UID:$NGINX_ID /site/
      #- rm -f /site/.gitadd /site/.gitignore
    #volumes:
      #- /srv/www/htdocs/dennogumi.org:/site
  #deploy:
    #image: einar/drone-rsync
    #pull: never
    #settings:
      #source: public/
      #target: /site/
      #recursive: true
      #exclude: [".gitignore", ".gitadd"]
    #volumes:
      #- /srv/www/htdocs/dennogumi.org:/site
   #notify:
    #image: plugins/matrix
    #settings:
      #homeserver: https://conference.heavensinferno.net
      #roomid:
        #from_secret: roomid
      #accesstoken:
        #from_secret: access_token
      #userid:
        #from_secret: user_id
    #when:
      #status:
        #- failure
        #- success
